commit:     4f74f53615169ff6b6dd649190b7ceec725c6374
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 16 11:20:10 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Mar 16 11:22:09 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4f74f536

Revert "net-misc/yt-dlp: drop 2022.2.4-r1"

This reverts commit dc1d9e1502d508040f2008e1c3eae342d34f2918.

Keep for longer due to regressions with rate limiting (fixed
in next version) and possible other unconfirmed issues.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/yt-dlp/Manifest                  |  1 +
 net-misc/yt-dlp/yt-dlp-2022.2.4-r1.ebuild | 67 +++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/net-misc/yt-dlp/Manifest b/net-misc/yt-dlp/Manifest
index 518f32920bb3..a28083f4571a 100644
--- a/net-misc/yt-dlp/Manifest
+++ b/net-misc/yt-dlp/Manifest
@@ -1 +1,2 @@
+DIST yt-dlp-2022.2.4.tar.gz 2178642 BLAKE2B 
2e6c11bb9fbc30b725dc26db727500c33af944d16fbc46be8fb35a75ab4f5c09ca0c8754f075b9739ca9d47e9b409f8d533c03b417217344f8cac1ec45968b51
 SHA512 
6bb6bee6f748147a566394bbe0b69781ab415398582cb8e88a49b61a5dd106e666b0429c8f4f6483bc4af0363e88eb95c5159457b7049cc11a2c99a6495c6895
 DIST yt-dlp-2022.3.8.2.tar.gz 2454754 BLAKE2B 
f07c1eb8d0e1f936298d6516e518f366558107ba9ae65f7c0b52bdcd185b27e501d0d0ffb20e923a94ce5f42c88ae335069876946c411232b9dfc1309ae796ca
 SHA512 
bd6c105f65415e2229781bb1e859167686a5f5f6886e98f9693acc127d4f9124aa2d55f32835f82509f6ab5a82601a5d612ac608063ef9041769fa91e3539c44

diff --git a/net-misc/yt-dlp/yt-dlp-2022.2.4-r1.ebuild 
b/net-misc/yt-dlp/yt-dlp-2022.2.4-r1.ebuild
new file mode 100644
index 000000000000..e7e396f5eace
--- /dev/null
+++ b/net-misc/yt-dlp/yt-dlp-2022.2.4-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit bash-completion-r1 distutils-r1 optfeature
+
+DESCRIPTION="youtube-dl fork with additional features and fixes"
+HOMEPAGE="https://github.com/yt-dlp/yt-dlp";
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="Unlicense"
+SLOT="0"
+KEYWORDS="amd64 arm ~arm64 ~hppa ppc ppc64 ~riscv x86"
+
+RDEPEND="
+       dev-python/pycryptodome[${PYTHON_USEDEP}]
+       !net-misc/youtube-dl[-yt-dlp(-)]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # adjust requires for pycryptodome and optional dependencies (bug 
#828466)
+       sed -ri setup.py \
+               -e "s/'(pycryptodome)x'/'\1'/" \
+               -e "s/'(mutagen|websockets)',?//g" || die
+}
+
+python_test() {
+       epytest -m 'not download' -p no:markdown
+}
+
+python_install_all() {
+       dodoc README.md Changelog.md supportedsites.md
+       doman yt-dlp.1
+
+       dobashcomp completions/bash/yt-dlp
+
+       insinto /usr/share/fish/vendor_completions.d
+       doins completions/fish/yt-dlp.fish
+
+       insinto /usr/share/zsh/site-functions
+       doins completions/zsh/_yt-dlp
+
+       rm -r "${ED}"/usr/share/doc/yt_dlp || die
+
+       newbin - youtube-dl <<-EOF
+               #!/usr/bin/env sh
+               exec yt-dlp --compat-options youtube-dl "\${@}"
+       EOF
+}
+
+pkg_postinst() {
+       optfeature "various features (merging tracks, streamed content)" 
media-video/ffmpeg
+       has_version media-video/atomicparsley || # allow fallback but don't 
advertise
+               optfeature "embedding metadata thumbnails in MP4/M4A files" 
media-libs/mutagen
+
+       if [[ ! ${REPLACING_VERSIONS} ]] ||
+               ver_test ${REPLACING_VERSIONS} -lt 2021.10.22-r2; then
+               elog 'A wrapper using "yt-dlp --compat-options youtube-dl" was 
installed'
+               elog 'as "youtube-dl". This is strictly for compatibility and 
it is'
+               elog 'recommended to use "yt-dlp" directly, it may be removed 
in the future.'
+       fi
+}

Reply via email to